Subject: Re: [PATCH net-next RFC v4] net: hdlc_x25: Queue outgoing LAPB frames

From: Leon Romanovsky <[email-masked]>
Date: Thu, 18 Feb 2021 12:37:09 +0200

On Thu, Feb 18, 2021 at 01:07:13AM -0800, Xie He wrote:
> On Thu, Feb 18, 2021 at 12:57 AM Leon Romanovsky <[email-masked]> wrote:
> >
> > It is nice that you are resending your patch without the resolution.
> > However it will be awesome if you don't ignore review comments and fix this "3 - 1"
> > by writing solid comment above.
>
> I thought you already agreed with me? It looks like you didn't?
>
> I still don't think there is any problem with my current way.
>
> I still don't understand your point. What problem do you think is
> there? Why is your way better than my way? I've already given multiple
> reasons about why my way is better than yours. But you didn't explain
> clearly why yours is better than mine.

It is not me who didn't explain, it is you who didn't want to write clear
comment that describes the headroom size without need of "3 - 1".

So in current situation, you added two things: comment and assignment.
Both of them aren't serve their goals. Your comment doesn't explain
enough and needs extra help and your assignment is useless without
comment.

Thanks